fgl-5.7.0.1: Martin Erwig's Functional Graph Library

Safe Haskell | Safe
Language | Haskell98

Data.Graph.Inductive.Query.MST

Contents

- Path in MST
- Types used

Description

Minimum-Spanning-Tree Algorithms

Synopsis

- msTreeAt :: (Graph gr, Real b) => Node -> gr a b -> LRTree b
- msTree :: (Graph gr, Real b) => gr a b -> LRTree b
- msPath :: LRTree b -> Node -> Node -> Path
- type LRTree a = [LPath a]

# Documentation

msTreeAt :: (Graph gr, Real b) => Node -> gr a b -> LRTree b #

msTree :: (Graph gr, Real b) => gr a b -> LRTree b #

# Path in MST

msPath :: LRTree b -> Node -> Node -> Path #

# Types used

type LRTree a = [LPath a] #